Firme

GET https://oonthe.link/api/signatures/
curl --request GET \
--url 'https://oonthe.link/api/signatures/' \
--header 'Authorization: Bearer {api_key}' \
Parametri Dettagli Descrizione
search Opzionale String La stringa di ricerca.
search_by Opzionale String Per quale campo stai effettuando la ricerca. I valori consentiti sono: name.
datetime_field Opzionale String Valori consentiti: datetime, last_datetime
datetime_start Opzionale String Filtra i risultati a partire da questa data e ora. formato Y-m-d H:i:s.
datetime_end Opzionale String Filtra i risultati fino a questa data e ora. Formato Y-m-d H:i:s.
order_by Opzionale String In che campo ordinare i risultati. I valori consentiti sono: signature_id, datetime, last_datetime, name.
order_type Opzionale String L'ordinamento dei risultati. I valori consentiti sono: ASC per l'ordinamento ascendente e DESC per l'ordinamento discendente.
page Opzionale Integer Il numero di pagina da cui desideri ottenere i risultati. Predefinito a 1.
results_per_page Opzionale Integer Quanti risultati desideri per pagina. I valori consentiti sono: 10, 25, 50, 100, 250, 500, 1000. Predefinito a 25.
{
    "data": [
        {
            "id": 1,
            "user_id": 1,
            "project_id": 0,
            "name": "John Doe",
            "template": "mars",
            "settings": {
                "direction": "ltr",
                "is_removed_branding": true,
                "image_url": "",
                "sign_off": "Regards,",
                "full_name": "John Doe",
                "job_title": "Software Engineer",
                "department": "Engineering",
                "company": "Example Company",
                "email": "john@example.com",
                "website_name": "Example",
                "website_url": "https:\/\/example.com\/",
                "address": "123 Example Street",
                "address_url": "",
                "phone_number": "",
                "whatsapp": "",
                "facebook_messenger": "",
                "telegram": "",
                "disclaimer": "",
                "font_family": "arial",
                "font_size": 14,
                "width": 500,
                "image_width": 50,
                "image_border_radius": 0,
                "socials_width": 20,
                "socials_padding": 10,
                "separator_size": 0,
                "border_radius": 10,
                "background_color": "#f9f9f9",
                "border_color": "#e0e0e0",
                "theme_color": "#000000",
                "full_name_color": "#000000",
                "text_color": "#000000",
                "link_color": "#000000",
                "facebook": "johndoe",
                "threads": "johndoe",
                "x": "johndoe",
                "instagram": "johndoe",
                "youtube": "johndoe",
                "tiktok": "",
                "spotify": "",
                "pinterest": "",
                "linkedin": "",
                "snapchat": "",
                "twitch": "",
                "discord": "",
                "github": "",
                "reddit": ""
            },
            "last_datetime": null,
            "datetime": "2026-08-13 18:27:32"
        }
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total_results": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://oonthe.link/api/signatures?page=1",
        "last": "https://oonthe.link/api/signatures?page=1",
        "next": null,
        "prev": null,
        "self": "https://oonthe.link/api/signatures?page=1"
    }
}
GET https://oonthe.link/api/signatures/{signature_id}
curl --request GET \
--url 'https://oonthe.link/api/signatures/{signature_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "project_id": 0,
        "name": "Jane Doe",
        "template": "mars",
        "settings": {
            "direction": "ltr",
            "is_removed_branding": true,
            "image_url": "",
            "sign_off": "Regards,",
            "full_name": "Jane Doe",
            "job_title": "Software Engineer",
            "department": "Engineering",
            "company": "Example Company",
            "email": "jane@example.com",
            "website_name": "Example",
            "website_url": "https:\/\/example.com\/",
            "address": "123 Example Street",
            "address_url": "",
            "phone_number": "",
            "whatsapp": "",
            "facebook_messenger": "",
            "telegram": "",
            "disclaimer": "",
            "font_family": "arial",
            "font_size": 14,
            "width": 500,
            "image_width": 50,
            "image_border_radius": 0,
            "socials_width": 20,
            "socials_padding": 10,
            "separator_size": 0,
            "border_radius": 10,
            "background_color": "#f9f9f9",
            "border_color": "#e0e0e0",
            "theme_color": "#000000",
            "full_name_color": "#000000",
            "text_color": "#000000",
            "link_color": "#000000",
            "facebook": "janedoe",
            "threads": "janedoe",
            "x": "janedoe",
            "instagram": "janedoe",
            "youtube": "janedoe",
            "tiktok": "",
            "spotify": "",
            "pinterest": "",
            "linkedin": "",
            "snapchat": "",
            "twitch": "",
            "discord": "",
            "github": "",
            "reddit": ""
        },
        "last_datetime": null,
        "datetime": "2026-08-13 18:27:32"
    }
}
POST https://oonthe.link/api/signatures
Parametri Dettagli Descrizione
name Richiesto String Nome
project_id Opzionale Integer Un progetto ti aiuterà a categorizzare le tue risorse.
template Opzionale String Valori consentiti: plain_text, mars, mercury, venus, nova
direction Opzionale String Valori consentiti: ltr, rtl
is_removed_branding Opzionale Booleano Rimuovi il brand
image_url Opzionale String Utilizzare solo immagini JPG, JPEG, GIF, PNG.
sign_off Opzionale String Sign off
full_name Opzionale String Nome e cognome
job_title Opzionale String Ruolo
department Opzionale String Dipartimento
company Opzionale String Azienda
email Opzionale String Email
website_name Opzionale String Nome del sito web
website_url Opzionale String URL del sito web
address Opzionale String Indirizzo
address_url Opzionale String Link a una posizione su Google Maps, per esempio.
phone_number Opzionale String Numero di telefono
whatsapp Opzionale String Whatsapp
facebook_messenger Opzionale String Nome utente di Facebook Messenger
telegram Opzionale String Nome utente Telegram
disclaimer Opzionale String Testo di avvertimento
font_family Opzionale String Valori consentiti: arial, verdana, helvetica, times_new_roman, georgia
font_size Opzionale Integer Valori consentiti: 12-18
width Opzionale Integer Valori consentiti: 300-600
image_width Opzionale Integer Valori consentiti: 45-150
image_border_radius Opzionale Integer Valori consentiti: 0-100
socials_width Opzionale Integer Valori consentiti: 15-30
socials_padding Opzionale Integer Valori consentiti: 5-15
separator_size Opzionale Integer Valori consentiti: 0-5
border_radius Opzionale Integer Valori consentiti: 0-30
background_color Opzionale String Background color
border_color Opzionale String Border color
theme_color Opzionale String Colore del tema
full_name_color Opzionale String Colore del nome completo
text_color Opzionale String Colore del testo
link_color Opzionale String Colore del link
facebook Opzionale String Nome utente di Facebook
threads Opzionale String Threads username
x Opzionale String X username
instagram Opzionale String Nome utente Instagram
youtube Opzionale String Canale YouTube
tiktok Opzionale String Nome utente TikTok
spotify Opzionale String Nome utente Spotify
pinterest Opzionale String Nome utente Pinterest
linkedin Opzionale String Nome utente LinkedIn
snapchat Opzionale String Nome utente di Snapchat
twitch Opzionale String Nome utente di Twitch
discord Opzionale String ID utente di Discord
github Opzionale String Nome utente Github
reddit Opzionale String Nome utente Reddit
curl --request POST \
--url 'https://oonthe.link/api/signatures' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Jane Doe' \
--form 'template=nova' \
--form 'full_name=Jane Doe' \
--form 'job_title=Software Engineer' \
--form 'company=Example Company' \
--form 'email=jane@example.com' \
--form 'background_color=#f8fafc' \
--form 'border_color=#cbd5e1' \
--form 'theme_color=#2563eb'
{
    "data": {
        "id": 1,
        "user_id": 1,
        "project_id": 0,
        "name": "Jane Doe",
        "template": "nova",
        "settings": {
            "direction": "ltr",
            "is_removed_branding": false,
            "image_url": "",
            "sign_off": "Regards,",
            "full_name": "Jane Doe",
            "job_title": "Software Engineer",
            "department": "",
            "company": "Example Company",
            "email": "jane@example.com",
            "website_name": "",
            "website_url": "",
            "address": "",
            "address_url": "",
            "phone_number": "",
            "whatsapp": null,
            "facebook_messenger": "",
            "telegram": "",
            "disclaimer": "",
            "font_family": "arial",
            "font_size": 14,
            "width": 500,
            "image_width": 50,
            "image_border_radius": 0,
            "socials_width": 20,
            "socials_padding": 10,
            "separator_size": 1,
            "border_radius": 10,
            "background_color": "#f8fafc",
            "border_color": "#cbd5e1",
            "theme_color": "#2563eb",
            "full_name_color": "#000000",
            "text_color": "#000000",
            "link_color": "#000000",
            "facebook": "",
            "threads": "",
            "x": "",
            "instagram": "",
            "youtube": "",
            "tiktok": "",
            "spotify": "",
            "pinterest": "",
            "linkedin": "",
            "snapchat": "",
            "twitch": "",
            "discord": "",
            "github": "",
            "reddit": ""
        },
        "last_datetime": null,
        "datetime": "2026-08-13 18:27:32"
    }
}
POST https://oonthe.link/api/signatures/{signature_id}
Parametri Dettagli Descrizione
name Opzionale String Nome
project_id Opzionale Integer Un progetto ti aiuterà a categorizzare le tue risorse.
template Opzionale String Valori consentiti: plain_text, mars, mercury, venus, nova
direction Opzionale String Valori consentiti: ltr, rtl
is_removed_branding Opzionale Booleano Rimuovi il brand
image_url Opzionale String Utilizzare solo immagini JPG, JPEG, GIF, PNG.
sign_off Opzionale String Sign off
full_name Opzionale String Nome e cognome
job_title Opzionale String Ruolo
department Opzionale String Dipartimento
company Opzionale String Azienda
email Opzionale String Email
website_name Opzionale String Nome del sito web
website_url Opzionale String URL del sito web
address Opzionale String Indirizzo
address_url Opzionale String Link a una posizione su Google Maps, per esempio.
phone_number Opzionale String Numero di telefono
whatsapp Opzionale String Whatsapp
facebook_messenger Opzionale String Nome utente di Facebook Messenger
telegram Opzionale String Nome utente Telegram
disclaimer Opzionale String Testo di avvertimento
font_family Opzionale String Valori consentiti: arial, verdana, helvetica, times_new_roman, georgia
font_size Opzionale Integer Valori consentiti: 12-18
width Opzionale Integer Valori consentiti: 300-600
image_width Opzionale Integer Valori consentiti: 45-150
image_border_radius Opzionale Integer Valori consentiti: 0-100
socials_width Opzionale Integer Valori consentiti: 15-30
socials_padding Opzionale Integer Valori consentiti: 5-15
separator_size Opzionale Integer Valori consentiti: 0-5
border_radius Opzionale Integer Valori consentiti: 0-30
background_color Opzionale String Background color
border_color Opzionale String Border color
theme_color Opzionale String Colore del tema
full_name_color Opzionale String Colore del nome completo
text_color Opzionale String Colore del testo
link_color Opzionale String Colore del link
facebook Opzionale String Nome utente di Facebook
threads Opzionale String Threads username
x Opzionale String X username
instagram Opzionale String Nome utente Instagram
youtube Opzionale String Canale YouTube
tiktok Opzionale String Nome utente TikTok
spotify Opzionale String Nome utente Spotify
pinterest Opzionale String Nome utente Pinterest
linkedin Opzionale String Nome utente LinkedIn
snapchat Opzionale String Nome utente di Snapchat
twitch Opzionale String Nome utente di Twitch
discord Opzionale String ID utente di Discord
github Opzionale String Nome utente Github
reddit Opzionale String Nome utente Reddit
curl --request POST \
--url 'https://oonthe.link/api/signatures/{signature_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Jane Doe Signature' \
--form 'border_radius=16' \
--form 'background_color=#fff7ed' \
--form 'border_color=#fed7aa' \
--form 'theme_color=#c2410c'
{
    "data": {
        "id": 1,
        "user_id": 1,
        "project_id": 0,
        "name": "Jane Doe Signature",
        "template": "nova",
        "settings": {
            "direction": "ltr",
            "is_removed_branding": false,
            "image_url": "",
            "sign_off": "Regards,",
            "full_name": "Jane Doe",
            "job_title": "Software Engineer",
            "department": "",
            "company": "Example Company",
            "email": "jane@example.com",
            "website_name": "",
            "website_url": "",
            "address": "",
            "address_url": "",
            "phone_number": "",
            "whatsapp": null,
            "facebook_messenger": "",
            "telegram": "",
            "disclaimer": "",
            "font_family": "arial",
            "font_size": 14,
            "width": 500,
            "image_width": 50,
            "image_border_radius": 0,
            "socials_width": 20,
            "socials_padding": 10,
            "separator_size": 1,
            "border_radius": 16,
            "background_color": "#fff7ed",
            "border_color": "#fed7aa",
            "theme_color": "#c2410c",
            "full_name_color": "#000000",
            "text_color": "#000000",
            "link_color": "#000000",
            "facebook": "",
            "threads": "",
            "x": "",
            "instagram": "",
            "youtube": "",
            "tiktok": "",
            "spotify": "",
            "pinterest": "",
            "linkedin": "",
            "snapchat": "",
            "twitch": "",
            "discord": "",
            "github": "",
            "reddit": ""
        },
        "last_datetime": "2026-08-13 18:27:32",
        "datetime": "2026-08-13 18:27:32"
    }
}
DELETE https://oonthe.link/api/signatures/{signature_id}
curl --request DELETE \
--url 'https://oonthe.link/api/signatures/{signature_id}' \
--header 'Authorization: Bearer {api_key}' \